/*****************************************************************************
 *
 * Multitouch research project
 *
 * Copyright (C) 2012 Canonical Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 ****************************************************************************/

#include "Frame.h"

Frame::Frame() : id(-1) {
}

Frame::Frame(int id_, const Touch &t) : id(id_){
    touches.push_back(t);
}

Frame::Frame(int id_, const std::vector<Touch> &given_touches) : id(id_){
    touches = given_touches;
}

const Touch& Frame::get_touch_id(int wanted_id) const {
    for(size_t i=0; i<touches.size(); i++)
        if(touches[i].get_id() == wanted_id)
            return touches[i];
    return Touch::get_invalid_touch();
}

Frame::~Frame() {

}
