/*****************************************************************************
 *
 * Multitouch research project
 *
 * Copyright (C) 2012 Canonical Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 ****************************************************************************/

#ifndef FRAME_H_
#define FRAME_H_

#include<vector>
#include"Touch.h"

/* This class is immutable. */

class Frame {
    int id;
    std::vector<Touch> touches;

public:
    Frame();
    Frame(int id_, const Touch &t);
    Frame(int id_, const std::vector<Touch> &given_touches);
    ~Frame();

    const std::vector<Touch>& get_touches() const { return touches; }
    const Touch & get_touch_id(int wanted_id) const;
    int get_id() const { return id; }
};

#endif /* FRAME_H_ */
