/*****************************************************************************
 *
 * Multitouch research project
 *
 * Copyright (C) 2012 Canonical Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 ****************************************************************************/

#include "Touch.h"

const Touch Touch::invalid_touch;

const char* state_to_string(const TouchState state) {
    switch(state) {
    case TouchBegin : return "TouchBegin";
    case TouchUpdate : return "TouchUpdate";
    case TouchEnd : return "TouchEnd";
    case TouchUnknown : return "TouchUnknown";
    default : return "InvalidStateVariable";
    }
}

Touch::Touch() : id(INVALID_TOUCH_ID), state(TouchUnknown) {

}

Touch::Touch(int id_, double x_, double y_, double timestamp_, double angle_, double minor_, double major_, TouchState state_) :
id(id_), x(x_), y(y_), timestamp(timestamp_), angle(angle_), minor(minor_), major(major_), state(state_) {
}

Touch::~Touch() {

}
